
## docker-competition

阿里云天池 docker 比赛

https://tianchi.aliyun.com/competition/entrance/231759/information


## 提交 sample

生成入口脚本run.sh，放置于镜像工作目录。运行后生成结果result.json放置于工作目录（与run.sh同目录），评分系统将根据result.json进行打分

```

{
    "Q1":"Hello world",
    "Q2":sum值,
    "Q3":[top10_list]
}
```

## 容器运行


```
docker run -it dokcer-competition:latest /bin/bash

```

排名

![1582436161494](assets/1582436161494.png)

结果

![1582436098016](assets/1582436098016.png)


## 镜像构建

构建镜像，然后登录天池账号，提交镜像地址即可。

```
docker build --rm -f "Dockerfile" -t dockercompetition:latest "."
docker tag dockercompetition:latest registry.cn-hangzhou.aliyuncs.com/jianboy/dockercompetition:lates
docker push registry.cn-hangzhou.aliyuncs.com/jianboy/dockercompetition:lates
```

### 相关资料

[docker镜像加速技巧，多年经验最推荐](https://tianchi.aliyun.com/forum/postDetail?postId=91783)

[CentOS安装docker（小舟笔记）](<https://tianchi.aliyun.com/forum/postDetail?postId=91788>)

